> ## Documentation Index
> Fetch the complete documentation index at: https://www.c1.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Automation Executions

> Search for automation executions with optional filters for automation_template_id, state, and query.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples post /api/v1/search/automation_executions
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/search/automation_executions:
    post:
      tags:
        - Automations
      summary: Search Automation Executions
      description: >-
        Search for automation executions with optional filters for
        automation_template_id, state, and query.
      operationId: >-
        c1.api.automations.v1.AutomationExecutionSearchService.SearchAutomationExecutions
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.automations.v1.SearchAutomationExecutionsRequest
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.automations.v1.SearchAutomationExecutionsResponse
          description: Successful response
      x-codeSamples:
        - lang: go
          label: SearchAutomationExecutions
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.AutomationExecutionSearch.SearchAutomationExecutions(ctx, nil)\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.SearchAutomationExecutionsResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.automationExecutionSearch.searchAutomationExecutions();

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.automations.v1.SearchAutomationExecutionsRequest:
      description: The SearchAutomationExecutionsRequest message.
      properties:
        automationTemplateId:
          description: Filter results to executions of this automation template.
          readOnly: false
          type: string
        executionId:
          description: Filter results to a specific execution by its numeric identifier.
          format: int64
          readOnly: false
          type: string
        executionStepStates:
          description: Filter results to executions in any of the specified states.
          items:
            enum:
              - AUTOMATION_EXECUTION_STATE_UNSPECIFIED
              - AUTOMATION_EXECUTION_STATE_PENDING
              - AUTOMATION_EXECUTION_STATE_CREATING
              - AUTOMATION_EXECUTION_STATE_GET_STEP
              - AUTOMATION_EXECUTION_STATE_PROCESS_STEP
              - AUTOMATION_EXECUTION_STATE_COMPLETE_STEP
              - AUTOMATION_EXECUTION_STATE_DONE
              - AUTOMATION_EXECUTION_STATE_ERROR
              - AUTOMATION_EXECUTION_STATE_TERMINATE
              - AUTOMATION_EXECUTION_STATE_WAITING
            type: string
            x-speakeasy-unknown-values: allow
          nullable: true
          readOnly: false
          type: array
        expandMask:
          $ref: >-
            #/components/schemas/c1.api.automations.v1.AutomationExecutionExpandMask
        pageSize:
          description: Maximum number of results to return per page.
          format: int32
          readOnly: false
          type: integer
        pageToken:
          description: Pagination token from a previous SearchAutomationExecutionsResponse.
          readOnly: false
          type: string
        query:
          description: Free-text search query to filter executions.
          readOnly: false
          type: string
        refs:
          description: Restrict results to specific execution references.
          items:
            $ref: '#/components/schemas/c1.api.automations.v1.AutomationExecutionRef'
          nullable: true
          readOnly: false
          type: array
      title: Search Automation Executions Request
      type: object
      x-speakeasy-name-override: SearchAutomationExecutionsRequest
    c1.api.automations.v1.SearchAutomationExecutionsResponse:
      description: The SearchAutomationExecutionsResponse message.
      properties:
        expanded:
          description: Related objects requested via the expand mask.
          items:
            additionalProperties: true
            description: >-
              Contains an arbitrary serialized message along with a @type that
              describes the type of the serialized message.
            properties:
              '@type':
                description: The type of the serialized message.
                type: string
            readOnly: false
            type: object
          nullable: true
          readOnly: false
          type: array
        list:
          description: The page of execution views matching the search criteria.
          items:
            $ref: '#/components/schemas/c1.api.automations.v1.AutomationExecutionView'
          nullable: true
          readOnly: false
          type: array
        nextPageToken:
          description: >-
            Token to retrieve the next page of results, empty when no more
            results exist.
          readOnly: false
          type: string
      title: Search Automation Executions Response
      type: object
      x-speakeasy-name-override: SearchAutomationExecutionsResponse
    c1.api.automations.v1.AutomationExecutionExpandMask:
      description: The AutomationExecutionExpandMask message.
      properties:
        paths:
          description: The paths field.
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
      title: Automation Execution Expand Mask
      type: object
      x-speakeasy-name-override: AutomationExecutionExpandMask
    c1.api.automations.v1.AutomationExecutionRef:
      description: The AutomationExecutionRef message.
      properties:
        id:
          description: The id field.
          format: int64
          readOnly: false
          type: string
      title: Automation Execution Ref
      type: object
      x-speakeasy-name-override: AutomationExecutionRef
    c1.api.automations.v1.AutomationExecutionView:
      description: The AutomationExecutionView message.
      properties:
        automationExecution:
          $ref: '#/components/schemas/c1.api.automations.v1.AutomationExecution'
        automationExecutionTriggerPath:
          description: The automationExecutionTriggerPath field.
          readOnly: false
          type: string
        automationPath:
          description: The automationPath field.
          readOnly: false
          type: string
      title: Automation Execution View
      type: object
      x-speakeasy-name-override: AutomationExecutionView
    c1.api.automations.v1.AutomationExecution:
      description: The AutomationExecution message.
      properties:
        automationTemplateId:
          description: The automationTemplateId field.
          readOnly: false
          type: string
        completedAt:
          format: date-time
          readOnly: false
          type: string
        context:
          $ref: '#/components/schemas/c1.api.automations.v1.AutomationContext'
        createdAt:
          format: date-time
          readOnly: false
          type: string
        currentVersion:
          description: The currentVersion field.
          format: int32
          readOnly: false
          type: integer
        deletedAt:
          format: date-time
          readOnly: false
          type: string
        duration:
          format: duration
          readOnly: false
          type: string
        id:
          description: The id field.
          format: int64
          readOnly: false
          type: string
        isDraft:
          description: The isDraft field.
          readOnly: false
          type: boolean
        state:
          description: The state field.
          enum:
            - AUTOMATION_EXECUTION_STATE_UNSPECIFIED
            - AUTOMATION_EXECUTION_STATE_PENDING
            - AUTOMATION_EXECUTION_STATE_CREATING
            - AUTOMATION_EXECUTION_STATE_GET_STEP
            - AUTOMATION_EXECUTION_STATE_PROCESS_STEP
            - AUTOMATION_EXECUTION_STATE_COMPLETE_STEP
            - AUTOMATION_EXECUTION_STATE_DONE
            - AUTOMATION_EXECUTION_STATE_ERROR
            - AUTOMATION_EXECUTION_STATE_TERMINATE
            - AUTOMATION_EXECUTION_STATE_WAITING
          readOnly: false
          type: string
          x-speakeasy-unknown-values: allow
        updatedAt:
          format: date-time
          readOnly: false
          type: string
      title: Automation Execution
      type: object
      x-speakeasy-name-override: AutomationExecution
    c1.api.automations.v1.AutomationContext:
      description: The AutomationContext message.
      properties:
        context:
          additionalProperties: true
          readOnly: false
          type: object
      title: Automation Context
      type: object
      x-speakeasy-name-override: AutomationContext
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````